package com.javahonk.tibco;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class TibcoMessageConsumer implements MessageListener {
	
	private static final Logger logger = LogManager.getLogger(TibcoMessageConsumer.class.getName());
	
	@Override
	public void onMessage(Message message) {
		
		try {
			
			logger.info("Received message on destination: {}", message.getJMSDestination().toString());
			
			if (message instanceof TextMessage) {
				
				TextMessage txtMsg = (TextMessage) message;
				logger.info("Received response {}", message);
				Object msgTextObj = txtMsg.getText();				
				logger.info(msgTextObj.toString());
			}
		} catch (JMSException ex) {
			throw new RuntimeException(ex);
		}

	}

	

}
